/* MAINTAINER: Lukas */

#include "unpackerworker.h"
#include "application_client.h"
#include "networkmanager_client.h"

UnpackerWorker::UnpackerWorker():SerializeWorker(defaultPriority)
{
	getAppClient().getNetworkManager().getUnpackerManager().registerSWorker(this);
}

UnpackerWorker::UnpackerWorker(int priority):SerializeWorker(priority)
{
	getAppClient().getNetworkManager().getUnpackerManager().registerSWorker(this);
}

UnpackerWorker::~UnpackerWorker()
{
	getAppClient().getNetworkManager().getUnpackerManager().unregisterSWorker(this);
}
