#include "tasksimulation.h"

#include "globals.h"
#include "application_client.h"
#include "game_client.h"
#include "world.h"
#include "game_state_copy.h"
#include "worldentity.h"

#include "GLMatrix.h"

void TaskSimulation::update(int atime)
{
	// Chage the game state
	World* wrld	= &(getAppClient().getGame().getWorld());
	
	worldent_iterator item	= wrld->getWorldEntitiesBegin();
	worldent_iterator end	= wrld->getWorldEntitiesEnd();

	for ( ; item != end ; ++item )
	{
		WorldEntity * we = (*item);
		we->interpolateHistory( atime );
			//TODO: put game time here (synchronized over all game) as a parameter
		we->updateClient( 0 );
	}
	
	// update gamestate copy
	getAppClient().getGame().getGameStateCopy().updateCopy();

}
