/* MAINTAINER: Petko CURRENTEDITOR: Bernard */
#include "landscapeentity.h"
#include "params.h"
#include "game.h"

LandscapeEntity::LandscapeEntity()
{
	mType = cStatic;	
}

LandscapeEntity::~LandscapeEntity()
{
	if ( mPhysicsData )
	{
			//only on server there can be created instance  of ServerPhysicsData (or descendant),
			//so this call should be OK
		deletePhysicsDataServer();
		mPhysicsData = 0;
	}
}

bool LandscapeEntity::init()
{
	// TODO: Here should probably be something...
	return CommonEntity::init();
}

void LandscapeEntity::initByID(int params_ID)
{
	Params::sLandscapeEntityParams vals = gParams.landscapeEntity( params_ID );

	mSubType	 = vals.id;

	setModelName( vals.model );
}


void LandscapeEntity::initByModelName(std::string modelName)
{
	mSubType = -1;
	setModelName( modelName );
}

