/* MAINTAINER: Petko */
#ifndef _LANDSCAPEENTITY_H_
#define _LANDSCAPEENTITY_H_

#include "commonentity.h"
#include <string>

/** \addtogroup game_data */ /*@{ */

/**	\brief Representation of non-moveable object in game
 *
 */
class LandscapeEntity : public CommonEntity
{
public:
	LandscapeEntity();

	virtual ~LandscapeEntity();

	virtual void render();

	virtual void initByID(int params_ID);

	void initByModelName(std::string modelName);

	virtual bool init();

	/**	\brief Deletes mPhysicsData
	 *
	 *	\note Cannot call operator delete directly from destructor, so it is here...
	 */
	void deletePhysicsDataServer();

private:	

};

/*@}*/
#endif // _LANDSCAPEENTITY_H_
