/* MAINTAINER: Petko */
#ifndef _SKYBOX_H
#define _SKYBOX_H

#include "GLVector.h"

/** \addtogroup game_data */ /*@{ */

class Skybox
{
public:
	Skybox();
	~Skybox();
		
	void render();

	/**	Checks if the given point is inside skybox - if it is outside, the object may be deleted
	 *
	 *	\param point Point to check
	 */
	bool isPointInsideSkyBox( GLVector3d point );
		
private:
	double mMinx, mMiny, mMinz, mMaxx, mMaxy, mMaxz;
};

/*@}*/ 
#endif // _SKYBOX_H
