#ifndef _TANK_DEBUGGER_
#define _TANK_DEBUGGER_

#include "hierarchynodevisitor.h"
#include "property.h"
#include "GLMatrix.h"

class TankDebugger: private HierarchyNodeVisitor
{
public:
	TankDebugger();
	~TankDebugger();

	bool checkModel( class Model * model );

private:

	virtual void visitHierarchyNode(class HierarchyNode * node);

// success after check
private: _vproperty( bool, Success );

// transformation of current node from its parent
private: _property( GLMatrix4d, Transformation );

};

#endif

