/* MAINTAINER: Lukas */

#include "sendthread.h"
#include "synchronizedqueue.h"
#include "sendjob.h"

int SendThread::run()
{
	
	while(! getStop())
	{
		SendJob * sj = mSendQueue->pop();

		sj->perform();

		delete sj;
	}

	// clean all unprocessed jobs
	while(! mSendQueue->isEmpty())
	{
		delete mSendQueue->pop();
	}

	return 0;
}
