/* MAINTAINER: Lukas */

#include "serializemanager.h"
#include "log.h"

void SerializeManager::registerSWorker(SerializeWorker * newSW)
{
	tSWorkerList::iterator workerIt = mSWorkerList.begin();
	tSWorkerList::iterator end = mSWorkerList.end();

	while( (workerIt != end) && ((*workerIt)->getPriority() < newSW->getPriority()) )
		++workerIt;

	// insert after all workers that have lower priority
	mSWorkerList.insert(workerIt, newSW);
}

void SerializeManager::unregisterSWorker(SerializeWorker * registredSW)
{
	mSWorkerList.remove(registredSW);
}
