/* MAINTAINER: Bernard */

#include <iostream>
#include "globals_server.h"
#include "console_text.h"
#include "log.h"
#include "application_server.h"
#include "commander.h"

using namespace std;

ConsoleText::ConsoleText()
{

}

ConsoleText::~ConsoleText()
{

}

#define MAX_COMMAND 256

int ConsoleText::run()
{
	char line[MAX_COMMAND];

	while (cin)
	{
		cin.getline(line, MAX_COMMAND);

		getAppServer().getCommander().addCommand(line);
	}

	return 0;
}


void ConsoleText::stop()
{
	LOGE << "Stop isn't supported by ConsoleText!" << endl;
}


