/* MAINATINER: Martin */

/* SERVER */

#include "terrain.h"
#include "physical_terrain.h"

bool Terrain::initServer()
{
	mTerrainBase.reset( new PhysicalTerrain() );
	if (
		!mTerrainBase.get() || 
		!initCommon() )
	{
		return false;
	}

	dynamic_cast< PhysicalTerrain* >( mTerrainBase.get() )->init();
	
	return true;
}
