/* MAINTAINER: Bernard */

#include "globals_server.h"
#include "application_server.h"
#include "log.h"

ApplicationServer *gAppServer = 0;

ApplicationServer& getAppServer()
{
	if (gAppServer == 0)
	{
		LOGE << "gAppServer is NULL. You probably try to get gAppServer "
			    " in (sub) constructor of ApplicationServer" << endl;
		DIE();
	}

	return *gAppServer;
}

bool isServer()
{
	return true;
}
