/* MAINTAINER: Lukas */

#include "packerworker.h"
#include "application_server.h"
#include "networkmanager_server.h"

PackerWorker::PackerWorker():SerializeWorker(defaultPriority),
	mPackerManager(getAppServer().getNetworkManager().getPackerManager())
{
	
		mPackerManager.registerSWorker(this);
}

PackerWorker::~PackerWorker()
{
		mPackerManager.unregisterSWorker(this);
}
