/* MAINTAINER: Bernard */

#ifndef _FRAME_H
#define _FRAME_H


class Frame
{
public:
	Frame() {mWantRun = false; }
	virtual ~Frame() {};

	virtual bool wantRun() { return mWantRun; }

	// Callbacks from Application
	// TaskManager survives and loop also survives new frame
	// addition but InputManager doesn't have a nice ability
	// to work in "multiframe"
	virtual void activated() {};
	virtual void deactivated() {};

	virtual void quitWanted() { mWantRun = false; }
	
protected:

	bool mWantRun;

};


#endif
