#include "worldentity.h"

void WorldEntity::updateClient( const int timestamp )
{
	// update public info, if there is one
	EntityPublicInfoPtr epi( getPublicInfo() );
	if ( epi.get() )
	{
		GLVector3d tmpd( getPosition() );
		GLVector3f tmpf( static_cast<float>(tmpd.x), static_cast<float>(tmpd.y), static_cast<float>(tmpd.z));
		
		epi->setPosition( tmpf );
	}
}

