#include "hna_transform.h"

#include "SDL_opengl.h"

using namespace hna;

// TODO: avoid glPushMatrix/glPopMatrix

void Transformation::applyEffect()
{ 
	glPushMatrix();
	getNodeTM().glMultMatrix();
	glPushMatrix();
	getObjectOffsetTM().glMultMatrix();
}

void Transformation::removeHierarchyEffect(void)
{
	// restore saved matrix
	glPopMatrix();
}
	
void Transformation::removeTemporaryEffect(void)
{
	// this can be push/pop (depth of 1).
	glPopMatrix();
}

