/* MAINTAINER: Bernard */

// #define WANT_TRACE

#include "SDL.h" // required because of mainn
#include <CEGUI.h>

#include "log.h"
#include "application_client.h"
#include "globals.h"

using namespace std;

/**
 * Let the fun begin :-)
 *
 * Create instance of ApplicationClient and 
 */

int main(int argc, char* argv[])
{
	TIN

	ApplicationClient app(argc, argv);
	
	try
	{		
		gAppClient = &app;
		gApp =  &app;
 	
		app.init();

		app.run();
	
		app.clean();

		LOGI << "Application sucessfully ended." << endl;
		
	} catch ( CEGUI::Exception &e)
	{
		LOGE << "CEGUI exception: " << e.getMessage() << endl;
		DIE("CEGUI ERROR");

	}	
	
	// to catch bad guy in destructors
	gAppClient = 0;
	gApp =  0;
	
	return 0;
}

