/* MAINTAINER: Lukas */

#ifndef _ASYNCGAMEINFO_H
#define _ASYNCGAMEINFO_H

#include "asyncfunction.h"
#include "netobjects.h"
#include "game.h"

/**
 * Asynchronous game info call
 */
class AsyncGameInfo : public AsyncFunction<GameInfo>
{
friend class NetworkReceiverClient;

public:
	/**
	 * Invoke call
	 *
	 * \param server server corba object
	 */
	AsyncGameInfo::resultCPtr invoke(const Server_var server);
};

#endif // _ASYNCGAMEINFO_H
