/* MAINTAINER: Lukas */

#include "unpackermanager.h"

void UnpackerManager::unpack(const NETGameState & gameState)
{
	assertL(mSContainer);

	tSWorkerList::iterator end = mSWorkerList.end();

	// for all registered workers call process
	for(tSWorkerList::iterator runer = mSWorkerList.begin();
		runer != end; ++runer)
	{
		(dynamic_cast<UnpackerWorker *>(*runer))->unpack(gameState);
	}
}
