#ifndef _OUTER_FOG_RENDERER_H_
#define _OUTER_FOG_RENDERER_H_

class TerrainBase;

class OuterFogRenderer
{
public:
	OuterFogRenderer( TerrainBase * tb, int surfacesCount = 20, float surfacesSpacing = 5.0 );
	void render();
private:
	TerrainBase * getTerrain();

	TerrainBase * mTerrainBase;
	int mSurfacesCount;
	float mSurfacesSpacing;
};


#endif //_OUTER_FOG_H_
