/* MAINTAINER: Bernard */

#ifndef _TASK_SEND_YAW_PITCH
#define _TASK_SEND_YAW_PITCH

#include "task.h"

/**
 * \brief Send yaw and pitch of current tank to server.
 * 
 * TODO: Send only if changed
 */
class TaskSendYawPitch: public Task
{
public:
 	TaskSendYawPitch();
 	~TaskSendYawPitch();

	virtual void init();

	virtual void update(int dtime, int atime);

	// make tank current - it prevets receiving yaw and pitch from
	// server
	virtual void addedWorldObject( WorldEntity * we );

protected:
	int  mFromLastSend;
	int  mSendEveryXms;
};

#endif
