/* MAINTAINER: Martin */
#ifndef _HN_ATTR_VISITOR_H_
#define _HN_ATTR_VISITOR_H_

namespace hna{
	
	/** 
	*	\brief attribute visitor interface
	*/	
	class AttrVisitor
	{
	public:
		virtual ~AttrVisitor(){};

		/** \brief visit-code for a Transformation attribute */
		virtual void visitTransformation(class Transformation * t){}
		
		/** \brief visit-code for a Material attribute */
		virtual void visitMaterial(class Material * m){}
		
		// ...
	};
}


#endif //_HN_ATTR_VISITOR_H_

