// MAINTAINER: Martin
#include "model_cache.h"

void ModelCache::cacheIt( const std::string & name )
{
	ref_type ref = ModelManager::getInstance()->getModelPrototype( name );
	
	if ( ref.isUnique() )
	// not cached yet
	{
		mCache.push_back( ref );
	}
}

void ModelCache::clear()
{
	mCache.clear();
}
