#include "hierarchy_node.h"

void HierarchyNodeVisitor::visitHierarchyChildren(class HierarchyNode * node)
{
	// visit subnodes of this node
	for (HierarchyNode::ChildIterator it = node->getChildrenBegin(), ite = node->getChildrenEnd(); it != ite; ++it)
	{
		(*it)->accept(this);
	}
}

