/* MAINTAINER: Lukas */

#ifndef _SENDJOB_H
#define _SENDJOB_H

/**
 * Abstract class that defines interface for jobs that send network data
 */
class SendJob
{

public:
	
	SendJob() { };
	virtual ~SendJob() { };

	/**
	 * Send data over network - abstract
	 */
	virtual void perform() = 0;
};

/**
 * No operation job ;)
 */
class NopJob : public SendJob
{

public:
	
	NopJob() { };
	virtual ~NopJob() { };

	/**
	 * No operation
	 */
	virtual void perform() { };
};

#endif // _SENDJOB_H
