// MAINTAINER: Martin

#ifndef _TRANSFORM_OBTAINER_H_
#define _TRANSFORM_OBTAINER_H_

#include "hna_visitor.h"
#include "hna_transform.h"

/**
*	\brief gets transformation attribute from attribute list of given hierarchy node
*/
class TransformObtainer: public hna::AttrVisitor
{
public:
	TransformObtainer():t(0){}
	hna::Transformation * get() { return t; }
	virtual void visitTransformation(hna::Transformation * _t) { t = _t; }

protected:
	hna::Transformation * t;	///< \brief obtained transformation
	
};

#endif
