#ifndef _AI_LUAINTERFACE
#define _AI_LUAINTERFACE

extern "C" {
#include <lua.h>
#include <lualib.h>
#include <lauxlib.h>
}


/// \brief registring C functions which then can be used by lua
int registerluafunctions(lua_State *);

int luaprintpath(lua_State *L);

int luarand(lua_State *L);

int luaswitchweapon(lua_State *L);

int luaswitchweaponrand(lua_State *L);

int luagetnearestbonuspos(lua_State *);

int luagetposition(lua_State *);

int luagetmaxammo(lua_State *L);

int luagetammo(lua_State *);

int luagetmaxarmour(lua_State *);

int luagetarmour(lua_State *);

int luagetmaxhp(lua_State *);

int luagethp(lua_State *);

int luastopmoving(lua_State *);

int luamoveto(lua_State *);

int luaandmoveto(lua_State *);

int luagetnearestenemy(lua_State *);

int luaenemyisalive(lua_State *);

int luagetenemysposition(lua_State *);

int luasettargetenemy(lua_State *);

int luasetweapon(lua_State *);

int luasettarget(lua_State *);

int luastopfire(lua_State *);

int luafire(lua_State *);

int luaismoving(lua_State *);

int luasay(lua_State *);

int luaerrormsgnd(lua_State *L);

int luaerrormsg(lua_State *);

int lualocatefile(lua_State *L);

#endif
