#ifndef _DEATHMATCH_H_
#define _DEATHMATCH_H_

#include "gameplaysettings.h"
#include "player.h"

class Deathmatch : public GameType
{
public:
	
	Deathmatch() : GameType( "deathmatch" ){};

	virtual void killed( Player * killer, Player * dead )
	{
		killer->killsUP();
		killer->addToScore( 1 );
		dead->deathsUP();

	}
	virtual void suicide( Player * who )
	{
		who->deathsUP();
		who->addToScore( -1 );
	}
	virtual void fall( Player * who )
	{
		who->deathsUP();
	}
};

#endif
