/* MAINTAINER: Bernard */

#ifndef _GLOBALS_SERVER_H
#define _GLOBALS_SERVER_H

class ApplicationServer;

extern ApplicationServer *gAppServer; ///< pointer to server app - may be NULL


/**
 * \brief Provide access to gAppServer.
 * 
 * "safer" version of gAppServer. The call is equal to
 * test *gAppServer or kill program if gAppServer == NULL.
 * So you don't need to test returned value any more.
 * \return Allways waild reference to ApplicationServer.
 */
ApplicationServer& getAppServer();

#endif // _GLOBALS_SERVER_
