/* MAINTAINER: Lukas */

#ifndef _TASK_SEND_CHANGES_H
#define _TASK_SEND_CHANGES_H

#include "task.h"

/**
 * Send (changes of) gamestate to clients
 */
class TaskSendChanges : public Task
{
	public:
		TaskSendChanges() { };
		~TaskSendChanges() { };

		virtual void init();
		virtual void update(int dtime, int atime);

	private:
		int mDTimeSum;
		int mSendTime; // number of ms between network data transmissions
		int mSendsCount; // number of network data transmissions in 1s
};


#endif // _TASK_SEND_CHANGES_H
